# Operator ## Docs - [Conversation events schema](https://operator.xyz/docs/api-reference/conversation-events.md): Detailed breakdown of the conversation events. - [Create a conversational agent](https://operator.xyz/docs/api-reference/conversational-agents/create-a-conversational-agent.md) - [Delete a conversational agent](https://operator.xyz/docs/api-reference/conversational-agents/delete-a-conversational-agent.md) - [Get a conversational agent](https://operator.xyz/docs/api-reference/conversational-agents/get-a-conversational-agent.md) - [List conversational agents](https://operator.xyz/docs/api-reference/conversational-agents/list-conversational-agents.md) - [List versions of a conversational agent](https://operator.xyz/docs/api-reference/conversational-agents/list-versions-of-a-conversational-agent.md) - [Release a conversational agent](https://operator.xyz/docs/api-reference/conversational-agents/release-a-conversational-agent.md) - [Update a conversational agent](https://operator.xyz/docs/api-reference/conversational-agents/update-a-conversational-agent.md): Updates the target agent (latest version by default, or specific version if provided) with the supplied data. These changes are saved to either a new draft or update an existing draft. Returns the version ID of the draft. - [Create a conversation](https://operator.xyz/docs/api-reference/conversations/create-a-conversation.md) - [Delete a conversation](https://operator.xyz/docs/api-reference/conversations/delete-a-conversation.md): Only testmode conversations or livemode conversations with status equal to `enqueued` can be deleted. - [Get a conversation](https://operator.xyz/docs/api-reference/conversations/get-a-conversation.md) - [List conversations](https://operator.xyz/docs/api-reference/conversations/list-conversations.md): Retrieve a list of conversations with optional filtering by date ranges. - [POST /procedures](https://operator.xyz/docs/api-reference/conversations/post-procedures.md) - [Real-time chat session](https://operator.xyz/docs/api-reference/conversations/real-time-chat-session.md): WebSocket API used in real-time conversations (e.g. those created with `chat_realtime`). - [Refresh token for conversation](https://operator.xyz/docs/api-reference/conversations/refresh-token-for-conversation.md): Generates a new ephemeral token for the specified conversation, extending the session lifetime. The old token will become invalid immediately after this operation completes. - [Stream conversation events](https://operator.xyz/docs/api-reference/conversations/stream-conversation-events.md): Streams events from an active or recently completed conversation over Server-Sent Events (SSE). This can be used to monitor the conversation in real time, e.g. to fetch the live transcript. - [Update conversation context](https://operator.xyz/docs/api-reference/conversations/update-conversation-context.md): Injects data into an in-progress conversation's context. This is useful for passing external signals (e.g. "user just verified their identity") mid-conversation. - [Get a customer](https://operator.xyz/docs/api-reference/customers/get-a-customer.md) - [Conversation events: post-analysis example](https://operator.xyz/docs/api-reference/post-analysis-example.md): How to extract insights from completed conversation transcripts - [Create a procedural agent](https://operator.xyz/docs/api-reference/procedural-agents/create-a-procedural-agent.md) - [Delete a procedural agent](https://operator.xyz/docs/api-reference/procedural-agents/delete-a-procedural-agent.md) - [Get a procedural agent](https://operator.xyz/docs/api-reference/procedural-agents/get-a-procedural-agent.md) - [List procedural agents](https://operator.xyz/docs/api-reference/procedural-agents/list-procedural-agents.md) - [List versions of a procedural agent](https://operator.xyz/docs/api-reference/procedural-agents/list-versions-of-a-procedural-agent.md) - [Release a procedural agent](https://operator.xyz/docs/api-reference/procedural-agents/release-a-procedural-agent.md) - [Update a procedural agent](https://operator.xyz/docs/api-reference/procedural-agents/update-a-procedural-agent.md): Updates the target procedural agent (latest version by default, or specific version if provided) with the supplied data. These changes are saved to either a new draft or update an existing draft. Returns the version ID of the draft. - [Get a procedure](https://operator.xyz/docs/api-reference/procedures/get-a-procedure.md): Returns comprehensive information about a procedure execution, including events and output. - [List procedures](https://operator.xyz/docs/api-reference/procedures/list-procedures.md): Returns a paginated list of procedure executions, optionally filtered by conversation. - [Conversation events: Real-time events example](https://operator.xyz/docs/api-reference/real-time-events-example.md): How to render on-going conversation's events in a web application - [Setup](https://operator.xyz/docs/api-reference/setup.md): Programmatically manage your agents, schedule conversations, and more - [Webhooks](https://operator.xyz/docs/api-reference/webhooks.md): Listen to events in your agents so your integration can automatically trigger reactions. - [Overview](https://operator.xyz/docs/channels/overview.md): Connect your agent to multiple communication channels - [Phone](https://operator.xyz/docs/channels/phone.md): Connecting the agent to a telephony system - [Speech](https://operator.xyz/docs/channels/speech.md): How transcription and speech synthesis work behind the scenes - [Conversational agents: Configuration](https://operator.xyz/docs/conversational-agents/configuration.md): Configuring basic agent settings, prompts, and behavior - [Context](https://operator.xyz/docs/conversational-agents/context.md): Providing agents with context to make better decisions - [Dynamic configuration](https://operator.xyz/docs/conversational-agents/dynamic-configuration.md): Dynamically override agent's behavior and configuration per conversation - [Conversational agents: Fundamentals](https://operator.xyz/docs/conversational-agents/fundamentals.md): Understanding how conversational agents work in the Operator platform - [Prompting](https://operator.xyz/docs/conversational-agents/prompting.md): Customizing agent behavior with prompts, variables, and dynamic context - [Conversation Demo](https://operator.xyz/docs/getting-started/demo.md) - [Overview](https://operator.xyz/docs/getting-started/overview.md): Operator is a platform for building conversational AI agents - [Quickstart](https://operator.xyz/docs/getting-started/quickstart.md): Build a simple appointment booking agent - [Procedural agents: Configuration](https://operator.xyz/docs/procedural-agents/configuration.md): Setting up procedural agents - [Procedural agents: Fundamentals](https://operator.xyz/docs/procedural-agents/fundamentals.md): Understanding procedural agents and how they complement conversational agents - [First-party APIs](https://operator.xyz/docs/tools/first-party.md): Bring-your-own tools for use in conversational agents - [Overview](https://operator.xyz/docs/tools/overview.md): Interacting with external systems during a conversation - [Third-party integrations](https://operator.xyz/docs/tools/third-party.md): Connect your agents to use external systems - [Logs](https://operator.xyz/docs/troubleshooting/logs.md): View and debug all activity across your API, dashboard, agents, and webhooks - [Overview](https://operator.xyz/docs/versioning/overview.md): Learn how to manage agent versions and deploy changes safely to production ## OpenAPI Specs - [openapi3](https://operator.xyz/docs/api-reference/openapi3.json) ## AsyncAPI Specs - [asyncapi](https://operator.xyz/docs/api-reference/asyncapi.json) ## Optional - [Website](https://operator.xyz) - [Support](mailto:support@operator.xyz)